<div class="row">
  <div class="col-xs-6 col-xs-offset-3">
    <h2>Créer un compte</h2>
    <br>

    <form [formGroup]="signUpForm" (ngSubmit)="onSubmit()">

      <div class="form-group">
        <label for="email">Email</label>
        <input type="text" id="email" class="form-control" formControlName="email" placeholder="mon@email.com">
      </div>

      <div class="form-group">
        <label for="password">Mot de passe</label>
        <input type="password" id="password" class="form-control" formControlName="password" placeholder="6 caractères minimum">
      </div>

      <button class="btn btn-success" type="submit" [disabled]="signUpForm.invalid">Créer mon compte</button>

    </form>
    <br>
    <p class="text-danger">{{ errorMessage }}</p>

  </div>
</div>
